.switch {
    position: relative;
    @include f14w400M8;

    .switch__input {
        position: absolute;
        opacity: 0;
        width: 40px;
        top: 0;
        left: 0;
        height: 100%;
        z-index: 1;
        cursor: pointer;
    
        &:checked {
            ~ .switch__label {
                .box {
                    background-color: $main-8;

                    &:before {
                        left: 45%;
                    }
                }
            }
        }
    }

    .switch__label {
        display: flex;
        align-items: center;
        grid-gap: 10px;
        transition: 0.3s ease;
       
        .box {
            width: 40px;
            height: 24px;
            border-radius: 16px;
            background-color: $main-5;
            position: relative;
            
            &:before {
                content: '';
                position: absolute;
                width: 20px;
                height: 20px;
                background-color: $main-0;
                // z-index: 1;
                border-radius: 100%;
                transform: translateY(-50%);
                top: 50%;
                left: 5%;
                transition: 0.3s ease;
            }
        }
    }
}

